﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'TTOT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_TTOT')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_TTOT on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_TTOT] DEFAULT ((0)) FOR [TTOT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'TTCC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_TTCC')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_TTCC on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_TTCC] DEFAULT ((0)) FOR [TTCC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'TTEF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_TTEF')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_TTEF on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_TTEF] DEFAULT ((0)) FOR [TTEF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'TODR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_TODR')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_TODR on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_TODR] DEFAULT ((0)) FOR [TODR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'TADA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_TADA')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_TADA on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_TADA] DEFAULT ((0)) FOR [TADA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'PFOC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_PFOC')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_PFOC on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_PFOC] DEFAULT ((0)) FOR [PFOC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'PBOC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_PBOC')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_PBOC on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_PBOC] DEFAULT ((0)) FOR [PBOC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TENOPT' AND COLUMN_NAME = 'InUse' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TENOPT_InUse')
BEGIN 
    PRINT 'Creating default constraint DF_TENOPT_InUse on table TENOPT' 
    ALTER TABLE [dbo].[TENOPT]
    ADD CONSTRAINT [DF_TENOPT_InUse] DEFAULT ((0)) FOR [InUse]
END 
GO

